Move coveralls submission to actions workflow
[rails.git] / Gemfile
1 source "https://rubygems.org"
2
3 # Require rails
4 gem "rails", "6.0.3.4"
5
6 # Require things which have moved to gems in ruby 1.9
7 gem "bigdecimal", "~> 1.1.0", :platforms => :ruby_19
8
9 # Require things which have moved to gems in ruby 2.0
10 gem "psych", :platforms => :ruby_20
11
12 # Require json for multi_json
13 gem "json"
14
15 # Use postgres as the database
16 gem "pg"
17
18 # Use SCSS for stylesheets
19 gem "sassc-rails"
20
21 # Use Uglifier as compressor for JavaScript assets
22 gem "uglifier", ">= 1.3.0"
23
24 # Use jquery as the JavaScript library
25 gem "jquery-rails"
26
27 # Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
28 gem "jbuilder", "~> 2.7"
29
30 # Reduces boot times through caching; required in config/boot.rb
31 gem "bootsnap", ">= 1.4.2", :require => false
32
33 # Use R2 for RTL conversion
34 gem "r2", "~> 0.2.7"
35
36 # Use autoprefixer to generate CSS prefixes
37 gem "autoprefixer-rails"
38
39 # Use image_optim to optimise images
40 gem "image_optim_rails"
41
42 # Load rails plugins
43 gem "actionpack-page_caching", ">= 1.2.0"
44 gem "activerecord-import"
45 gem "active_record_union"
46 gem "bootstrap", "~> 4.5.0"
47 gem "bootstrap_form", "~> 4.0"
48 gem "cancancan"
49 gem "composite_primary_keys", "~> 12.0.0"
50 gem "config"
51 gem "delayed_job_active_record"
52 gem "dynamic_form"
53 gem "http_accept_language", "~> 2.1.1"
54 gem "i18n-js", ">= 3.0.0"
55 gem "oauth-plugin", ">= 0.5.1"
56 gem "openstreetmap-deadlock_retry", ">= 1.3.0", :require => "deadlock_retry"
57 gem "rack-cors"
58 gem "rails-i18n", "~> 6.0.0"
59 gem "rinku", ">= 2.0.6", :require => "rails_rinku"
60 gem "strong_migrations"
61 gem "validates_email_format_of", ">= 1.5.1"
62
63 # Native OSM extensions
64 gem "quad_tile", "~> 1.0.1"
65
66 # Sanitise URIs
67 gem "rack-uri_sanitizer"
68
69 # Omniauth for authentication
70 gem "omniauth"
71 gem "omniauth-facebook"
72 gem "omniauth-github"
73 gem "omniauth-google-oauth2", ">= 0.6.0"
74 gem "omniauth-mediawiki", ">= 0.0.4"
75 gem "omniauth-openid"
76 gem "omniauth-windowslive"
77
78 # Markdown formatting support
79 gem "kramdown"
80
81 # For status transitions of Issues
82 gem "aasm"
83
84 # Load libxml support for XML parsing and generation
85 gem "libxml-ruby", ">= 2.0.5", :require => "libxml"
86
87 # Use for HTML sanitisation
88 gem "htmlentities"
89 gem "sanitize"
90
91 # Load SystemTimer for implementing request timeouts
92 gem "SystemTimer", ">= 1.1.3", :require => "system_timer", :platforms => :ruby_18
93
94 # Load faraday for mockable HTTP client
95 gem "faraday"
96
97 # Load maxminddb for querying Maxmind GeoIP database
98 gem "maxminddb"
99
100 # Load rotp to generate TOTP tokens
101 gem "rotp"
102
103 # Load memcache client in case we are using it
104 gem "dalli"
105 gem "kgio"
106
107 # Load secure_headers for Content-Security-Policy support
108 gem "secure_headers"
109
110 # Load canonical-rails to generate canonical URLs
111 gem "canonical-rails"
112
113 # Used to generate logstash friendly log files
114 gem "logstasher"
115
116 # Used to generate images for traces
117 gem "bzip2-ffi"
118 gem "ffi-libarchive"
119 gem "gd2-ffij", ">= 0.4.0"
120 gem "mimemagic"
121
122 # Used for browser detection
123 gem "browser"
124
125 # Used for S3 object storage
126 gem "aws-sdk-s3"
127
128 # Used to resize user images
129 gem "mini_magick"
130
131 # Gems useful for development
132 group :development do
133   gem "annotate"
134   gem "better_errors"
135   gem "binding_of_caller"
136   gem "listen"
137   gem "vendorer"
138 end
139
140 # Gems needed for running tests
141 group :test do
142   gem "brakeman"
143   gem "capybara", ">= 2.15"
144   gem "erb_lint", :require => false
145   gem "factory_bot_rails"
146   gem "minitest", "~> 5.1"
147   gem "puma", "~> 5.0"
148   gem "rails-controller-testing"
149   gem "rubocop", "~> 0.93"
150   gem "rubocop-minitest"
151   gem "rubocop-performance"
152   gem "rubocop-rails"
153   gem "selenium-webdriver"
154   gem "simplecov", :require => false
155   gem "simplecov-lcov", :require => false
156   gem "webmock"
157 end